Bug 439842 - mod_cache does not serve (CACHE_OUT) URLs which are url-escaped
Summary: mod_cache does not serve (CACHE_OUT) URLs which are url-escaped
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-31 17:58 UTC by Jeremy Orem
Modified: 2009-01-27 13:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:07:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0185 normal SHIPPED_LIVE httpd bug fix and enhancement update 2009-01-20 17:29:50 UTC
Apache Bugzilla 41475 None None None 2019-02-25 06:42 UTC

Description Jeremy Orem 2008-03-31 17:58:44 UTC
Description of problem:

Using mod_rewrite in conjunction with mod_cache, when a requested object is
cached, the path to the cache object is calculated by hashing on the requested
URL (http://localhost/real). However, when retrieval of the object is attempted
on subsequent requests, the path to the cache object is calculated by hashing on
the requested URL *plus* the query string in the target of the RewriteRule.


Version-Release number of selected component (if applicable):
httpd-2.2.3-11.el5_1.3

How reproducible:
Always


Additional info:
Apache has already fixed this and backported it to 2.2 upstream.  Can we include
the patch?  mod_cache is kinda broke without it.  Thanks!

Comment 1 RHEL Product and Program Management 2008-06-02 20:11:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2009-01-20 21:07:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0185.html


Note You need to log in before you can comment on or make changes to this bug.